MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001105XdebugUsage problems (Wrong Results)public2015-02-15 11:212015-02-22 14:29
Reporterddelbondio 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.3.0 
Summary0001105: Setting properties without specifying a type only works in topmost frame
Descriptionusing property_set without the "-t" argument and "-d" > 0 ignores the depth and modifies the variable in the topmost frame instead.
TagsNo tags attached.
Operating System
PHP Version5.6.5-5.6.9
Attached Files

- Relationships

-  Notes
(0002992)
derick (administrator)
2015-02-15 22:30

Fixed for Xdebug 2.2.8 and 2.3dev.

Thanks for the patch!

- Issue History
Date Modified Username Field Change
2015-02-15 11:21 ddelbondio New Issue
2015-02-15 22:30 derick Note Added: 0002992
2015-02-15 22:30 derick Status new => closed
2015-02-15 22:30 derick Assigned To => derick
2015-02-15 22:30 derick Resolution open => fixed
2015-02-15 22:30 derick Fixed in Version => 2.2.8
2015-02-22 14:29 derick Fixed in Version 2.2.8 => 2.3.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker